/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; fromout even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along from this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void create_vector_cartesian(_param p);

void create_vector_polar(_param p);

void create_vector_from_points(_param p);

void create_vector_from_segment(_param p);

void create_vector_from_line(_param p);

void add_vectors(_param p);

void substract_vectors(_param p);

void reverse_vector(_param p);

void multiply_vector(_param p);

void divide_vector(_param p);

void rotate_vector(_param p);

void vector_abscissa(_param p);

void vector_ordinate(_param p);

void vector_length(_param p);

void vector_argument(_param p);

void vectors_angle(_param p);

void scalar_product(_param p);
